"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isDeprecated = void 0;
function isDeprecated(fieldOrEnumValue) {
    if ('isDeprecated' in fieldOrEnumValue) {
        return !!fieldOrEnumValue['isDeprecated'];
    }
    if (fieldOrEnumValue.deprecationReason != null) {
        return true;
    }
    if (fieldOrEnumValue.astNode?.directives?.some(directive => directive.name.value === 'deprecated')) {
        return true;
    }
    return false;
}
exports.isDeprecated = isDeprecated;
