"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLogger = void 0;
function createLogger(label, context, release) {
    const id = Math.random().toString(16).substr(2, 5);
    const prefix = (msg) => `${label} ${id} - release-${release.substr(0, 7)} : ${msg}`;
    return {
        log(msg) {
            context.log(prefix(msg));
        },
        info(msg) {
            context.log.info(prefix(msg));
        },
        warn(msg) {
            context.log.warn(prefix(msg));
        },
        error(msg, error) {
            if (error) {
                console.error(error);
            }
            context.log.error(prefix(msg instanceof Error ? msg.message : msg));
        },
    };
}
exports.createLogger = createLogger;
