import { GraphQLSchema, Source } from 'graphql';
import { Change, diff as diffSchemas, Rule } from '@graphql-inspector/core';
import { ActionResult, CheckConclusion, PullRequest } from './types.cjs';
export type DiffInterceptor = string | {
    url: string;
    headers?: {
        [header: string]: string;
    };
};
export interface DiffInterceptorPayload {
    pullRequests?: PullRequest[];
    ref?: string;
    changes: Change[];
}
export type DiffInterceptorResponse = {
    changes: Change[];
    conclusion?: CheckConclusion;
};
export declare function diff({ path, schemas, sources, interceptor, pullRequests, ref, rules, config, }: {
    path: string;
    schemas: {
        old: GraphQLSchema;
        new: GraphQLSchema;
    };
    sources: {
        old: Source;
        new: Source;
    };
    interceptor?: DiffInterceptor;
    pullRequests?: PullRequest[];
    ref?: string;
    rules?: Rule[];
    config?: Parameters<typeof diffSchemas>[3];
}): Promise<ActionResult>;
