import * as probot from 'probot';
import { ConfigLoader, FileLoader } from './helpers/loaders.js';
import { PullRequest } from './helpers/types.js';
export declare function handleSchemaDiff({ release, action, context, ref, pullRequestNumber, repo, owner, before, pullRequests, loadFile, loadConfig, onError, }: {
    release: string;
    action: string;
    context: probot.Context;
    owner: string;
    repo: string;
    ref: string;
    pullRequestNumber?: number;
    pullRequests: PullRequest[];
    /***
     * The SHA of the most recent commit on ref before the push
     */
    before?: string;
    loadFile: FileLoader;
    loadConfig: ConfigLoader;
    onError(error: Error): void;
}): Promise<void>;
